%global commit 4dcd7a02475b38ac98096ceb60b7cc7a779e227b
%global shortcommit %(c=%{commit}; echo ${c:0:7})
%global debug_package %{nil}

Summary: Cross-platform, sophisticated frontend for the libretro API. Licensed GPLv3
Name: retroarch
Version: 1.7.9
Release: 2.git%{shortcommit}%{?dist}

License:        GPLv3
URL:            http://www.libretro.com/
Source0:        retroarch.tar.xz

BuildRequires: gcc
BuildRequires: gcc-c++

BuildRequires: SDL-devel
BuildRequires: SDL2-devel
BuildRequires: freetype-devel
BuildRequires: libXinerama-devel
BuildRequires: libusb-devel
BuildRequires: libv4l-devel
BuildRequires: libxkbcommon-devel
BuildRequires: libxml2-devel
BuildRequires: mesa-libEGL-devel
BuildRequires: mesa-libgbm-devel
BuildRequires: openal-soft-devel
BuildRequires: perl-Net-DBus
BuildRequires: perl-X11-Protocol
BuildRequires: pulseaudio-libs-devel
BuildRequires: zlib-devel

BuildRequires: vulkan-devel
BuildRequires: vulkan-headers
BuildRequires: vulkan-filesystem
BuildRequires: mesa-vulkan-devel

BuildRequires: qt5-devel
BuildRequires: qt5-qtbase-devel

Requires: SDL2
Requires: alsa-lib
Requires: bzip2-libs
Requires: freetype
Requires: libX11
Requires: libXau
Requires: libXext
Requires: libXxf86vm
Requires: libglvnd-egl
Requires: libglvnd-glx
Requires: libpng
Requires: libxcb
Requires: pulseaudio-libs
Requires: zlib

%description
%{summary}.

%prep
%autosetup -n %{name}

%build
./configure --prefix=/usr
%make_build

%install
rm -rf %{buildroot}
%make_install

%files
%license COPYING
%doc CHANGES.md CONTRIBUTING.md README.md README-exynos.md README-OMAP.md README-mali_fbdev_r4p0.md
%{_bindir}/retroarch
%{_bindir}/retroarch-cg2glsl
%{_datadir}/applications/retroarch.desktop
%{_datadir}/pixmaps/retroarch.svg
%{_mandir}/man6/retroarch-cg2glsl.6.gz
%{_mandir}/man6/retroarch.6.gz
%{_sysconfdir}/retroarch.cfg
/usr/share/doc/retroarch/COPYING
/usr/share/doc/retroarch/README.md
